> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/app/structural-user-access/permissions/global-permissions/managing-admin-users.md).

# Granting initial admin access on self-hosted instances

In a self-hosted instance of Tonic Structural, the default global permission set for Structural users does not have any real permissions.

Until you set the initial access to all global permissions, there is no way to manage or assign global permissions.

To set the initial access to all global permissions, you set the list of users or groups as the value of the environment setting `TONIC_ADMINISTRATORS`.

The users and groups are assigned the built-in Admin (Environment) permission set.

From the **Global Permission Sets** list:

* You cannot revoke the built-in Admin (Environment) permission set from those users or groups.
* You cannot assign the Admin (Environment) permission set to other users or groups.

To change the assigned users and groups, you update the value of `TONIC_ADMINISTRATORS`.

### Docker deployments&#x20;

Update your [.env file](https://github.com/TonicAI/tonic_docker_compose/blob/main/.template.env) to include the email addresses or SSO groups of the Structural users who should receive administrator access. The value can include both group names and user email addresses.

```
 TONIC_ADMINISTRATORS=admin_group,example@email.com,other@email.com
```

The [docker-compose.yaml](https://github.com/TonicAI/tonic_docker_compose/blob/main/docker-compose.yaml) should contain the `TONIC_ADMINISTRATORS` environment setting within the `tonic_web_server` configuration block. If not, pull the newest version.

### Kubernetes deployments

In the [values.yaml](https://github.com/TonicAI/tonic_helm_charts/blob/master/values.sample.yaml) file, under `tonicai.web_server`, edit the `administrators` property to include the email addresses of the Structural users who should receive administrator access.&#x20;

```
administrators: admin_group,example@email.com,other@email.com
```

To verify that you have the required version of the Helm charts, check that **values.yaml** contains the `administrators` line.

[tonic-web-server-deployment.yaml](https://github.com/TonicAI/tonic_helm_charts/blob/master/templates/tonic-web-server-deployment.yaml) should contain a block for the `TONIC_ADMINISTRATORS` environment setting. If not, pull the newest version from our [Github repo](https://github.com/TonicAI/tonic_helm_charts).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tonic.ai/app/structural-user-access/permissions/global-permissions/managing-admin-users.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
